#include "./lst.h"

lst* lst_find(lst** root, const lst* to_find, int (*cmp)(const lst* lst1, const lst* lst2))
{
	lst* current = *root;

	while (current != NULL)
	{
		if ((*cmp)(to_find, current) == 0)
			return current;
		current = current->next;
	}
	return (NULL);
}
